This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
perlapi: Display PERL_VERSION_xy better
authorKarl Williamson <khw@cpan.org>
Thu, 27 Aug 2020 20:05:19 +0000 (14:05 -0600)
committerKarl Williamson <khw@cpan.org>
Sat, 5 Sep 2020 23:31:10 +0000 (17:31 -0600)
Now that we have the tools to show these as a whole list, do so

handy.h

diff --git a/handy.h b/handy.h
index f4990f2..0d1023a 100644 (file)
--- a/handy.h
+++ b/handy.h
@@ -500,6 +500,11 @@ Perl_xxx(aTHX_ ...) form for any API calls where it's used.
 /*
 =for apidoc_section Versioning
 =for apidoc AmR|bool|PERL_VERSION_EQ|const U8 major|const U8 minor|const U8 patch
+=for apidoc_item PERL_VERSION_NE
+=for apidoc_item PERL_VERSION_LT
+=for apidoc_item PERL_VERSION_LE
+=for apidoc_item PERL_VERSION_GT
+=for apidoc_item PERL_VERSION_GE
 
 Returns whether or not the perl currently being compiled has the specified
 relationship to the perl given by the parameters.  For example,
@@ -512,10 +517,6 @@ relationship to the perl given by the parameters.  For example,
 
 Note that this is usable in making compile-time decisions
 
-The possible comparisons are C<PERL_VERSION_EQ>, C<PERL_VERSION_NE>,
-C<PERL_VERSION_GE>, C<PERL_VERSION_GT>, C<PERL_VERSION_LE>, and
-C<PERL_VERSION_LT>.
-
 You may use the special value '*' for the final number to mean ALL possible
 values for it.  Thus,
 
@@ -542,12 +543,6 @@ becomes
 
  #if PERL_VERSION_LE(5,9,'*')
 
-=for apidoc AmRh|bool|PERL_VERSION_NE|const U8 major|const U8 minor|const U8 patch
-=for apidoc AmRh|bool|PERL_VERSION_GE|const U8 major|const U8 minor|const U8 patch
-=for apidoc AmRh|bool|PERL_VERSION_GT|const U8 major|const U8 minor|const U8 patch
-=for apidoc AmRh|bool|PERL_VERSION_LE|const U8 major|const U8 minor|const U8 patch
-=for apidoc AmRh|bool|PERL_VERSION_LT|const U8 major|const U8 minor|const U8 patch
-
 =cut
 */